import { TextAlignPropType } from "../input/types";
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        default: number;
        type: NumberConstructor;
    };
    /**点击加减按钮的步长 */
    step: {
        default: number;
        type: NumberConstructor;
    };
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**是否开启控制器 */
    controls: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**控制器是否显示在两侧 */
    controlsTwoSides: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**数值精度 非负数 且不能小于step的小数位数 */
    precision: {
        type: NumberConstructor;
    };
    /**最大值 超出则等于该值 */
    max: NumberConstructor;
    /**最小值，低于则等于该值 */
    min: NumberConstructor;
    width: {
        default: string;
        type: StringConstructor;
    };
    height: {
        default: string;
        type: StringConstructor;
    };
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    disabledInput: {
        default: boolean;
        type: BooleanConstructor;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": null;
    sub: (v: number) => true;
    add: (v: number) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        default: number;
        type: NumberConstructor;
    };
    /**点击加减按钮的步长 */
    step: {
        default: number;
        type: NumberConstructor;
    };
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**是否开启控制器 */
    controls: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**控制器是否显示在两侧 */
    controlsTwoSides: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**数值精度 非负数 且不能小于step的小数位数 */
    precision: {
        type: NumberConstructor;
    };
    /**最大值 超出则等于该值 */
    max: NumberConstructor;
    /**最小值，低于则等于该值 */
    min: NumberConstructor;
    width: {
        default: string;
        type: StringConstructor;
    };
    height: {
        default: string;
        type: StringConstructor;
    };
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    disabledInput: {
        default: boolean;
        type: BooleanConstructor;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onSub?: ((v: number) => any) | undefined;
    onAdd?: ((v: number) => any) | undefined;
}, {
    width: string;
    modelValue: number;
    disabled: boolean;
    height: string;
    placeholder: string;
    textAlign: import("../types").AlignType;
    step: number;
    controls: boolean;
    controlsTwoSides: boolean;
    disabledInput: boolean;
}>;
export default _default;
